Bug 918970 - Crash in i915_gem_userptr_mn_invalidate_range_start
Crash in i915_gem_userptr_mn_invalidate_range_start
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
13.2
x86-64 openSUSE 13.2
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-22 15:08 UTC by Adam Mizerski
Modified: 2015-04-22 11:49 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
system journal (270.01 KB, text/x-vhdl)
2015-02-22 15:08 UTC, Adam Mizerski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Mizerski 2015-02-22 15:08:44 UTC
Created attachment 624098 [details]
system journal

The problem: When launching Kerbal Space Program system freezes. 

System log is in attachement.

This bug reports seems related and has a resolution:
https://bugs.freedesktop.org/show_bug.cgi?id=85412
Comment 1 Takashi Iwai 2015-02-23 10:02:24 UTC
Thanks, I backported the fix to openSUSE-13.2 branch now.
Comment 2 Adam Mizerski 2015-02-23 18:33:18 UTC
Thanks.

But, could you provide some more info? What was pushed and where? When will an update land in Update repo?
Comment 3 Takashi Iwai 2015-02-23 19:58:05 UTC
It was backported to SUSE kernel git tree openSUSE-13.2 branch.
There is an automatic build (KOTD, kernel of the day) in OBS Kernel:openSUSE-13.2 repo.  Some time later this will be sumitted as the official update kernel for openSUSE 13.2:Update.
Comment 4 Adam Mizerski 2015-03-28 21:10:57 UTC
When the update will be available? Now I learned that I can't play Torchligh 2 either.
Comment 5 Takashi Iwai 2015-04-07 11:17:43 UTC
You can use the package in OBS Kernel:openSUSE-13.2 repo at any time.  It always contains the latest built pcakage.
Comment 6 Swamp Workflow Management 2015-04-13 12:16:02 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2